//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// DataHelpers.SQL satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Collections.Generic;
using System.Threading;
using System.Data;
using System.Data.SqlClient;
using u = user_rtx;

namespace DataHelpers.SQL {

partial class HQueryExecContextBase {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddNullableInputParam( SqlCommand command,
                                                  string paramName, object? value ) =>
 HSqlParam.AddNullableIn( command, paramName, value );
/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddNullableInOutParam( SqlCommand command,
                                                  string paramName, object? value ) =>
   HSqlParam.AddNullableInOut( command, paramName, value );
/// <exception cref="ArgumentException" />
public static SqlParameter AddNullableRetValueParam( SqlCommand command ) =>
   HSqlParam.AddNullableRetValue( command );

//--------------------------------------------------------------------------------------------------

/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddNullableInputParam( SqlCommand command, string paramName,
                                                  DbType dbType, object? value ) =>
   HSqlParam.AddNullableIn( command, paramName, dbType, value );
/// <exception cref="ArgumentException" />
public static SqlParameter AddNullableOutputParam( SqlCommand command,
                                                   string paramName, DbType dbType ) =>
   HSqlParam.AddNullableOut( command, paramName, dbType );
/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddNullableInOutParam( SqlCommand command, string paramName,
                                                  DbType dbType, object? value ) =>
   HSqlParam.AddNullableInOut( command, paramName, dbType, value );
/// <exception cref="ArgumentException" />
public static SqlParameter AddNullableRetValueParam( SqlCommand command, DbType dbType ) =>
   HSqlParam.AddNullableRetValue( command, dbType );

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HQueryExecContextBase

} // DataHelpers.SQL
